Subject: bug#42414: Packages Installed With GNU Guix not finding Correct Glibc

From: "Frederick M. Muriithi" <[email-masked]>
Date: Sat, 18 Jul 2020 15:14:54 +0000

After wrestling with this issue some more and trying to figure out the cause, I finally fingered Ubuntu as the culprit.

Something in my upgrade from Ubuntu 18.04 LTS to Ubuntu 20.04 LTS subtly broke my system. Also I think a recent change in guix preventing me from doing a 'guix pull' unless logged in as root might have had something to do with it.

I'm not quite sure what the final cause was, but I fixed the issue, and did a [quick write-up](https://fredmanglis.me.ke/blog/guix-apps-not-finding-glibc.html
) to help anyone else experiencing the issue.

Muriithi Frederick Muriuki